org.apache.geode.management

## Class MXBeanAwaitility

- java.lang.Object
- - org.apache.geode.management.MXBeanAwaitility

-     public class MXBeanAwaitility
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MXBeanAwaitility()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.awaitility.core.ConditionFactory` | `await()`
    `static org.awaitility.core.ConditionFactory` | `await(java.lang.String alias)`
    `static GatewayReceiverMXBean` | `awaitGatewayReceiverMXBeanProxy(DistributedMember member)`
    `static GatewaySenderMXBean` | `awaitGatewaySenderMXBeanProxy(DistributedMember member, java.lang.String senderId)`
    `static LocatorMXBean` | `awaitLocalLocatorMXBean()`
    `static LocatorMXBean` | `awaitLocatorMXBeanProxy(DistributedMember member)`
    `static MemberMXBean` | `awaitMemberMXBeanProxy(DistributedMember member)`
    `static MemberMXBean` | `awaitMemberMXBeanProxy(DistributedMember member, org.apache.geode.management.internal.SystemManagementService managementService)`
    `static org.apache.geode.management.internal.SystemManagementService` | `getSystemManagementService()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MXBeanAwaitility

          public MXBeanAwaitility()

  - ### Method Detail

    - #### awaitLocalLocatorMXBean

          public static LocatorMXBean awaitLocalLocatorMXBean()

    - #### awaitLocatorMXBeanProxy

          public static LocatorMXBean awaitLocatorMXBeanProxy(DistributedMember member)

    - #### awaitGatewaySenderMXBeanProxy

          public static GatewaySenderMXBean awaitGatewaySenderMXBeanProxy(DistributedMember member,
                                                                          java.lang.String senderId)

    - #### awaitGatewayReceiverMXBeanProxy

          public static GatewayReceiverMXBean awaitGatewayReceiverMXBeanProxy(DistributedMember member)

    - #### getSystemManagementService

          public static org.apache.geode.management.internal.SystemManagementService getSystemManagementService()

    - #### await

          public static org.awaitility.core.ConditionFactory await()

    - #### await

          public static org.awaitility.core.ConditionFactory await(java.lang.String alias)

    - #### awaitMemberMXBeanProxy

          public static MemberMXBean awaitMemberMXBeanProxy(DistributedMember member)

    - #### awaitMemberMXBeanProxy

          public static MemberMXBean awaitMemberMXBeanProxy(DistributedMember member,
                                                            org.apache.geode.management.internal.SystemManagementService managementService)